@import "../../../../styles/constants";

.invoice_page {
  padding: 40px 0;

  h1 {
    font-size: map-get($title-sizes, "xl");
    margin-bottom: 20px;
    font-weight: 600;
  }

  @include mobile {
    padding: 30px 15px;

    h1 {
      font-size: 16px;
      margin-bottom: 10px;
    }
  }
}

.invoice_card {
  font-size: 14px;
  position: relative;

  h5 {
    font-size: 14px;
  }

  &__alert {
    position: fixed;
    z-index: 4;
    font-size: 14px;
    left: 35%;
    background-color: $green;
    color: white;
    text-align: center;
    width: 30%;
    padding: 8px 15px;
    border-radius: 4px;

  }

  &__bank {
    @include flex-center;
    margin: 20px 0;

    img {
      height: 35px;
      margin-right: 20px;
    }

    font-size: map-get($map: $font-sizes, $key: "normal");
  }

  &__center {
    width: 100%;
    display: flex;
    justify-content: center;
    margin-top: 1rem;

    &__wrapper {
      margin-right: 3rem;
      &__title {
        font-size: 1rem;
        text-align: center
      }

      &__content {
        margin-bottom: 1rem;
        font-size: 14px;
        text-align: center;
        position: relative;
      }

      &__copy-text {
        display: flex;
        text-align: center;
        width: max-content;

        button {
          position: absolute;
          right: -70px;
          cursor: pointer;
          color: $green;
          font-weight: 600;
          text-transform: capitalize;
        }
      }

      &__price {
        font-size: 20px !important;
        font-weight: 600;
        text-align: center;
      }
    }
  }

  &__change {
    text-align: center;

    &__button {
      width: fit-content;
      border-radius: 4px;
      margin: 24px auto;
      padding: 12px 26px;
      font-weight: 500;
      line-height: 20px;
    }
  }

  &__bottom {
    display: flex;
    margin-top: 20px;

    &__wrapper {
      width: 35%;
      margin: auto;

      h5 {
        text-align: center;
        font-size: 1rem;
        margin-bottom: 2rem;
      }

      &__bank-toggle {
        color: $black;
        font-size: map-get($map: $font-sizes, $key: "normal");
        padding: 10px;
        border: map-get($map: $borders, $key: "thin") !important;
        margin-bottom: 10px;
      }

      &__bank-body {
        padding-top: 15px;

        ol {
          list-style: none;
          counter-reset: item;
          padding-left: 0;
        }

        li {
          font-size: map-get($map: $font-sizes, $key: "normal");
          counter-increment: item;
          margin-bottom: 10px;
          padding-left: 50px;

          &:before {
            content: counter(item);
            background: $green;
            border-radius: 100%;
            margin-left: -30px;
            margin-right: 10px;
            color: $white;
            width: 20px;
            height: 20px;
            font-size: 10px;
            display: inline-flex;
            justify-content: center;
            align-items: center;
          }
        }
      }
    }

    &__accordion {
      &__toggle {
        color: $black;
        font-size: map-get($map: $font-sizes, $key: "normal");
        padding: 10px;
        border: 1px solid #C4C4C4;
        margin-bottom: 10px;
        border-radius: 4px;
      }

      &__body {
        padding-top: 15px;

        ol {
          list-style: none;
          counter-reset: item;
          padding-left: 0;
        }

        li {
          font-size: map-get($map: $font-sizes, $key: "normal");
          counter-increment: item;
          margin-bottom: 10px;
          padding-left: 50px;

          &:before {
            content: counter(item);
            background: $green;
            border-radius: 100%;
            margin-left: -30px;
            margin-right: 10px;
            color: $white;
            width: 20px;
            height: 20px;
            font-size: 10px;
            display: inline-flex;
            justify-content: center;
            align-items: center;
          }
        }
      }
    }
  }

  &__warning {
    text-align: center;
    font-size: 14px;
    margin-top: 30px;
  }

  @include mobile {
    font-size: 10px;
    padding: 20px 12px;

    h5 {
      font-size: 12px;
    }

    &__alert {
      left: 10%;
      width: 80%;
      font-size: 12px;
    }

    &__bank {
      img {
        height: 30px;
      }

      font-size: 12px;
    }

    &__change {
      p {
        font-size: 10px;
        margin-bottom: 0;
      }

      a {
        font-size: 10px;
        font-weight: 500;
        padding: 10px;
        margin: 20px auto;
      }
    }

    &__center {
      &__wrapper {
        margin-right: 10px;

        h5 {
          font-size: 10px;
        }

        &__content {
          font-size: 10px;
        }

        &__price {
          font-size: 14px !important;
        }

        &__copy-text {
          display: block;

          button {
            right: 25px;
          }

          small {
            position: absolute;
            width: max-content;
            bottom: -30px;
          }
        }
      }
    }

    &__bottom {
      &__wrapper {
        width: 90%;
        font-size: 12px;

        h5{
          margin-bottom: 20px;
        }
      }

      &__accordion {
        &__toggle {
          font-size: 10px;
        }

        &__body {
          padding-top: 5px;

          li {
            font-size: 10px;
          }
        }
      }
    }

    &__warning {
      margin-top: 10px;
      font-size: 10px;
      line-height: 20px;
    }
  }
}

.countdown_card {
  padding: 20px 10px;
  margin: 30px auto;
  width: 40%;
  border: map-get($map: $borders, $key: "green");

  &__container {
    display: flex;
    justify-content: center;
  }

  &__wrapper {
    margin-right: 10px;

    &__ticker {
      @include even-size(57px);
      @include flex-center;
      border-radius: map-get($map: $radius, $key: "small");
      font-size: 20px;
      font-weight: 600;
      @include bg-colors("soft-white");
    }

    p {
      margin-top: 15px;
      text-align: center;
      font-size: 14px;
    }
  }

  &__info {
    font-size: 14px;
    text-align: center;
  }

  @include mobile {
    width: 100% !important;
    margin: 20px 0;

    &__container {
      width: 80%;
      justify-content: space-between;
      margin: auto;
    }

    &__wrapper {
      margin-right: 0;

      p {
        margin-top: 6px;
        font-size: 11px;
      }

      &__ticker {
        font-size: 14px;
        width: 40px;
        height: 40px;
        border-radius: 5px;
      }
    }
  }
}

.success_card {
  width: 100%;
  margin: 0 auto;
  min-height: 70vh;

  &__head {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-bottom: 20px;

    h1 {
      font-size: map-get($map: $title-sizes, $key: "medium");
      margin-bottom: 10px;
    }
  }

  &__checklist {
    width: 100px;
    height: 100px;
    @include bg-colors("green");
    border-radius: map-get($map: $radius, $key: "round");
    @include flex-center;

    &__inner {
      width: 60px;
      height: 60px;
      background-color: $green;
      border-radius: map-get($map: $radius, $key: "round");
      @include flex-center;

      svg {
        color: $white;
        font-size: 30px;
      }
    }
  }

  &__body {
    text-align: center;

    &__info {
      margin-bottom: 20px;

      &__title {
        font-size: 23px;
        font-weight: 600;
      }

      &__content {
        width: 80%;
        margin: 1rem auto 70px;
        font-size: map-get($map: $font-sizes, $key: "normal");
        line-height: 24px;

        span {
          color: $soft-green;
          text-decoration: underline;
          cursor: pointer;
          margin-right: 5px;
        }
      }

      &__wrapper {
        width: 50%;
        margin: auto;
        display: flex;
        justify-content: space-between;

        a {
          width: fit-content;
          font-size: 14px;
          font-weight: 600;
          border-radius: map-get($map: $radius, $key: 'small');
          padding: 10px 28px;
        }
      }
    }
  }

  &__footer {
    display: flex;
    flex-direction: column;
    align-items: center;

    &__text {
      margin-bottom: 10px;
    }

    a {
      font-weight: 500;
      width: 20%;
      padding: 10px;

      &:hover {
        color: $white;
      }
    }
  }

  @include mobile {
    width: 100%;
    margin-bottom: 40px;
    padding: 30px 18px;

    &__head {
      h1 {
        text-align: center;
        font-size: map-get($map: $title-sizes, $key: "normal");
        margin-bottom: 20px;
      }
    }

    &__checklist {
      @include even-size(60px);

      &__inner {
        @include even-size(40px);
      }

      svg {
        font-size: 14px;
      }
    }

    &__footer {
      &__text {
        font-size: map-get($map: $font-sizes, $key: "normal");
        text-align: center;
        margin-bottom: 20px;
      }

      a {
        width: 60%;
        font-size: map-get($map: $font-sizes, $key: "normal");
      }
    }

    &__body {
      &__info {
        &__title {
          font-size: map-get($map: $title-sizes, $key: "normal");
        }

        &__content {
          font-size: 10px;
          line-height: 20px;
          width: 100%;
          margin: 1rem auto 30px;
        }

        &__wrapper {
          width: 100%;

          a {
            padding: 10px;
            font-size: 10px;
            font-weight: 500;
            border-radius: 4px;
          }
        }
      }
    }
  }
}
